Bug 1298235 - [RFE] MAC pool per VM pool
[RFE] MAC pool per VM pool
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
3.6.1.3
x86_64 Linux
unspecified Severity low (vote)
: ---
: ---
Assigned To: Rob Young
Gil Klein
: FutureFeature
Depends On: 994283 1317436
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 10:05 EST by Barak Korren
Modified: 2017-10-25 05:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Barak Korren 2016-01-13 10:05:45 EST
Description of problem:
VM that are created as part of a VM pool take MAC addresses from the range assigned to the cluster they run in.
Since all VMs in a pool are the same, it is desirable to inject differences such as difference in hostname by use of a DHCP server. However, since VM in a pool can share the cluster with VMs not in the pool or VMs in other pools, it is hard to predict which mac addresses will the VMs in the pool get in order to configure the DHCF server.

Expected results:
It should be possible to assign a specific MAC range to a specific VM pool in order to determine the MAC addresses VMs in the pool will get.
Comment 1 Dan Kenigsberg 2016-01-31 09:10:45 EST
It would be nice to override the cluster-wide mac pool with a specific per-vm-pool assignment.

Note You need to log in before you can comment on or make changes to this bug.